unit H_PDFPages;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label4: TLabel;
    Edit3: TEdit;
    Edit4: TEdit;
    GroupBox1: TGroupBox;
    rbs1: TRadioButton;
    rbs2: TRadioButton;
    GroupBox2: TGroupBox;
    rbf1: TRadioButton;
    rbf2: TRadioButton;
    cbshow: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Edit4Exit(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

function SearchPDF(const FileName: PChar; search: PChar; ao: longInt; fa: LongInt; sh: LongInt; ende: LongInt): PChar; stdcall;

implementation

{$R *.DFM}

function SearchPDF(const FileName: PChar; search: PChar; ao: longInt; fa: LongInt; sh: LongInt; ende: LongInt): PChar; stdcall;
external 'PDFsearch.dll';

procedure TForm1.Button1Click(Sender: TObject);
begin
     If OpenDialog1.Execute Then
        Edit1.Text := OpenDialog1.FileName;
end;

procedure TForm1.Button2Click(Sender: TObject);
var se : LongInt;
    fi : LongInt;
    sh : LongInt;
    st : LongInt;
    su : String;
    Save_Cursor : TCursor;
begin
//   search = searchstrings separated by comma
//   ao     = searching with the option "and" (=0) or "or" (=1)
//   fa     = first / all ... means find only the [f]irst or find [a]ll   0=first / 1=all
//   sh     = [sh]ow the file with the relevant page                      0=no    / 1=yes
//   ende   = break after xxxx seconds 1-1800 or 0

     Save_Cursor := Screen.Cursor;
     Screen.Cursor := crHourglass;    { Show hourglass cursor }

     if ( rbs1.Checked = True ) then
        se := 0
       else
        se := 1;

     if ( rbf1.Checked = True ) then
        fi := 0
       else
        fi := 1;

     if ( cbshow.Checked = True ) then
        sh := 1
       else
        sh := 0;

     if ( Trim(Edit4.Text) <> '' ) Then
        Edit4.Text := Trim(Edit4.Text);
        st := StrToInt(Edit4.Text);


     su := Trim(Edit3.Text);

     Edit2.Text := SearchPDF(PChar(Edit1.Text), PChar(Edit3.Text), se, fi, sh, st);

     Screen.Cursor := Save_Cursor;  { Always restore to normal }

end;

procedure TForm1.Edit4Exit(Sender: TObject);
begin
     If ( StrToInt(Trim(Edit4.Text) ) > 1800 ) or
        ( StrToInt(Trim(Edit4.Text) ) < 0 )     Then
        Edit4.Text := '0';
end;

end.
